-PR-
解決済み

FedoraCore4のyumコマンドエラーについて

  • 困ってます
  • 質問No.1554369
  • 閲覧数647
  • ありがとう数11
  • 気になる数0
  • 回答数1
  • コメント数0

お礼率 40% (67/164)

こんにちは、FedoraCore4を使用しています。
yumコマンドを使用しようとしたら突然下記のようなエラーが出てしまいました。

[root@masahiro ~]# yum install httpd
Traceback (most recent call last):
File "/usr/bin/yum", line 15, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 34, in main
locale.setlocale(locale.LC_ALL, '')
File "/usr/lib/python2.4/locale.py", line 379, in setlocale
return _setlocale(category, locale)
locale.Error: unsupported locale setting
[root@masahiro ~]#
[root@masahiro ~]# yum update vsftpd
Traceback (most recent call last):
File "/usr/bin/yum", line 15, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 34, in main
locale.setlocale(locale.LC_ALL, '')
File "/usr/lib/python2.4/locale.py", line 379, in setlocale
return _setlocale(category, locale)
locale.Error: unsupported locale setting

データベースの更新や、アップデートなどを使用としても同じエラーが出てしまいます。
どなたかご存知の方がいらっしゃいましたら、アドバイスお願いできませんでしょうか。
よろしくお願いいたします。
通報する
  • 回答数1
  • 気になる
    質問をブックマークします。
    マイページでまとめて確認できます。

質問者が選んだベストアンサー

  • 回答No.1
レベル9

ベストアンサー率 70% (51/72)

システムの文字コードを EUC などにしていて(記述が不適切だと)比較的よく起こるようです。
yum コマンドを実行する前に

# export LANG=C

このコマンドを実行しておけば通ると思います。
お礼コメント
hiromasa1119

お礼率 40% (67/164)

zemさん、アドバイスありがとうございます。
ご指摘の通り、i18nファイルの文字コードの指定に誤りがありました。
修正したことろ、問題なく実行できるようになりました。
投稿日時 - 2005-08-02 15:08:54
-PR-
-PR-
このQ&Aで解決しましたか?
AIエージェント「あい」

こんにちは。AIエージェントの「あい」です。
あなたの悩みに、OKWAVE 3,500万件のQ&Aを分析して最適な回答をご提案します。

-PR-
-PR-
このQ&Aにこう思った!同じようなことあった!感想や体験を書こう
このQ&Aにはまだコメントがありません。
あなたの思ったこと、知っていることをここにコメントしてみましょう。

その他の関連するQ&A、テーマをキーワードで探す

キーワードでQ&A、テーマを検索する
-PR-
-PR-
-PR-

特集


新大学生・新社会人のパソコンの悩みを解決!

-PR-

ピックアップ

-PR-
ページ先頭へ